Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.namespace
Class QName

    java.lang.Object
      javax.xml.namespace.QName

public class QName
extends java.lang.Object

This is an implementation of javax.xml.namespace.QName for J2SE 1.4.x. This class is available in myriad other places and platforms, but we need to have one in a consistent place for development time. We could take one from some other project and declare it The Standard, but that would make Legal sad.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`QName(java.lang.String localPart)`
`QName(java.lang.String namespaceURI, java.lang.String localPart)`
`QName(java.lang.String namespaceURI, java.lang.String localPart, java.lang.String prefix)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getLocalPart()`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getPrefix()`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`static QName` | `valueOf(java.lang.String qnameFromToString)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QName

    public QName(java.lang.String localPart)

### QName

    public QName(java.lang.String namespaceURI,
                 java.lang.String localPart)

### QName

    public QName(java.lang.String namespaceURI,
                 java.lang.String localPart,
                 java.lang.String prefix)

Method Detail

### valueOf

    public static QName valueOf(java.lang.String qnameFromToString)

### equals

    public boolean equals(java.lang.Object obj)

### getLocalPart

    public java.lang.String getLocalPart()

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### getPrefix

    public java.lang.String getPrefix()

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD